Bug 2258150

Summary: Review Request: rust-uu_numfmt - Numfmt ~ (uutils) reformat NUMBER
Product: [Fedora] Fedora Reporter: Michel Lind <michel>
Component: Package ReviewAssignee: Fabio Valentini <decathorpe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, package-review
Target Milestone: ---Keywords: AutomationTriaged
Target Release: ---Flags: decathorpe: fedora-review+
Hardware: Unspecified   
OS: Unspecified   
URL: https://crates.io/crates/uu_numfmt
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-01-16 16:24:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Michel Lind 2024-01-12 22:20:33 UTC
Spec URL: https://salimma.fedorapeople.org/specs/rust-uu_numfmt.spec
SRPM URL: https://salimma.fedorapeople.org/specs/rust-uu_numfmt-0.0.23-1.fc38.src.rpm

Description:
Numfmt ~ (uutils) reformat NUMBER.

Fedora Account System Username: salimma

Comment 1 Fedora Review Service 2024-01-12 22:30:11 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6889075
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258150-rust-uu_numfmt/fedora-rawhide-x86_64/06889075-rust-uu_numfmt/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-01-15 21:50:08 UTC
I assume you want to lowercase the summary here too to match other packages?

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- licenses of statically linked dependencies are correctly taken into account
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

===

I assume you want to lowercase the summary here too to match other packages?

Comment 3 Michel Lind 2024-01-16 16:14:25 UTC
(In reply to Fabio Valentini from comment #2)
> I assume you want to lowercase the summary here too to match other packages?
> 
Yup, thanks!

Comment 4 Fedora Admin user for bugzilla script actions 2024-01-16 16:14:30 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-uu_numfmt

Comment 5 Fedora Update System 2024-01-16 16:23:40 UTC
FEDORA-2024-acdcf1794b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-acdcf1794b

Comment 6 Fedora Update System 2024-01-16 16:24:40 UTC
FEDORA-2024-acdcf1794b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-01-16 16:49:46 UTC
FEDORA-2024-f50653d080 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-f50653d080

Comment 8 Fedora Update System 2024-01-16 16:49:46 UTC
FEDORA-2024-dd7c4627c4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-dd7c4627c4

Comment 9 Fedora Update System 2024-01-17 01:44:00 UTC
FEDORA-2024-f50653d080 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-f50653d080 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-f50653d080

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-01-17 18:06:57 UTC
FEDORA-2024-dd7c4627c4 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-dd7c4627c4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-dd7c4627c4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-01-25 00:40:43 UTC
FEDORA-2024-dd7c4627c4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-01-25 00:47:25 UTC
FEDORA-2024-f50653d080 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.